# Contributing to ai-collection

## Contribution are more than welcome!

---

## Formatting

Current AI project format:

| Name | Title | Description | Offer Free Version |
| --- | --- | --- | --- |
| AI project Name(Link to website) | Project's title | Project's description | Does the project offer a free usage version |

<br />

Example project:

```
| [Equally.ai](https://equally.ai/) | Web Accessibility Compliance For All | Achieve ADA & WCAG compliance easily | :heavy_check_mark: |
```

## To Contribute

Created a branch on your fork with your changes, and [make a pull request][pr-link]. 

## Pull Request Guidelines

* Verify that the project is not already listed
* Always add the new project to the end of the table (it will sorted alphabetically during next job run)
* Each table column should be padded with one space on either side.
* The Description should not exceed 120 characters and should not contain the character `|`.
* The Description should not exceed 300 characters and should not contain the character `|`.
* The `Offer Free Version` column should have one of these three values:
  * :white_check_mark: - `:white_check_mark:`
  * :grey_question: - `:grey_question:`
  * :x: - `:x:`
* Add one ai project per Pull Request.
* Make sure the PR title is in the format of `Add name` *for e.g.*: `Add Equally.ai`
* Use a short descriptive commit message. *for example*: `Add Equally.ai project`
* Please make sure the AI project has a title and description.
* Target your Pull Request to the `main` branch of the `ai-collection`

Once pull request is created, collaborators will review the proposed change and decide whether or not to pull in your changes.

[pr-link]: <https://help.github.com/articles/creating-a-pull-request/>
